# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc配货单列表获取,2290,2250-01,sit,bs
主数据平台:运营后台管理系统配货单列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json


module = "cmdc_order_merge"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 获取配货单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")

"""
 场景: 验证配货单列表接口连通性
 用例名称：配货单列表获取
 输出：{"total":"%s"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取列表中配货单数量
result = {"total": result["data"]["total"]}

# 查询数据库中对应公司对应的账号信息
sql = "SELECT count(t.distributionId) FROM `cmdc-order`.tc_distributionorder t WHERE companyCode = 00111"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict1", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
